it-swarm-id.com

Pembaruan firmware untuk iPod Touch (iPhone)?

Saya perlu memperbarui firmware iPod Touch (iPhone) saya di Ubuntu dan karena saya telah jailbreak iPod Touch, saya perlu iTunes untuk menginstal aplikasi, tetapi sayangnya belum menemukan cara untuk melakukannya di Ubuntu. Saya tahu bahwa adalah mungkin untuk menggunakan VirtualBox atau Wine, tetapi sebagian besar waktu iTunes tidak ingin bekerja Wine dan untuk VirtualBox saya perlu menginstal lagi bahwa Windows dari mana saya beralih ke Ubuntu hanya beberapa bulan yang lalu dan tidak ingin kembali ke sana.

Apa yang dilakukan pengguna Linux yang memiliki iPod Touch (iPhone) dalam kasus ini?

Setiap saran untuk menyelesaikan masalah akan senang.

Dan akhirnya, berapa lama sebelum Apple mengembangkan iTunes untuk Linux OS?

18
Bakhtiyor

Sementara beberapa versi iTunes yang lebih lama saat ini dapat dibuat berfungsi dengan Wine (atau Crossover), mereka tidak dapat digunakan untuk memperbarui atau menyelaraskan iPod yang lebih baru

Alasannya adalah bahwa Wine tidak memiliki handler untuk driver perangkat USB Windows, dan iPod bertindak sebagai perangkat USB khusus. Ini adalah alasan yang sama bahwa perangkat lunak yang membutuhkan dongle kunci khusus juga belum berfungsi di Wine. Ada beberapa tambalan pendahuluan yang tersedia untuk ini, dan Anda dapat membaca lebih banyak sejarah di Wine wiki , namun jangan berharap ada yang berfungsi.

Satu-satunya iPod yang saat ini bekerja di Wine adalah iPod lama yang bertindak sebagai perangkat penyimpanan massal USB sederhana. Dan meskipun begitu Anda masih perlu menemukan iTunes yang lebih tua dan berfungsi.

Karena masalah ini di Wine, untuk melakukan upgrade firmware Anda harus menyiapkan mesin virtual dengan Virtualbox atau VMware atau, mungkin lebih sederhana, meminjam komputer orang lain.

9
Scott Ritchie

Saya tidak tahu apakah ini berfungsi dengan iPod touch Anda, tetapi ini berfungsi untuk iPod lama saya: http://code.google.com/p/iPod-update/

4
manyxcxi

Melihat Crossoverhalaman untuk iTunes , beberapa versi telah dilaporkan agak berfungsi. Crossover membutuhkan biaya, tetapi mungkin layak untuk Anda.

3
Michael Crenshaw

Firmware-Upgrade tidak berfungsi untuk saya: Ubuntu 8.04 LTS dengan vmplayer dan XP lama dengan iTunes.

Tidak mungkin. iphone rusak untuk sisa hari sampai saya pasang di windows pc saya di sisi pekerjaan saya.

Dari sudut pandang ini: Produk Apple benar-benar Tanpa Pergi! Mengapa saya memerlukan windows atau mac dengan iTunes untuk memiliki ponsel? Di mana dinyatakan bahwa untuk membeli 'benda ajaib' itu, saya perlu menjalankan iTunes untuk membuatnya berfungsi? Siapa yang tahu biayanya sebelumnya?

3
Ice

layanan libimobilede

Ini masih eksperimental tetapi Anda harus memeriksa libimobiledevice . Belum ada GUI, tetapi mereka sedang berupaya membuat model iPod touch berfungsi di Linux (termasuk naik turunnya perangkat lunak).


Sunting: Menurut buntu Wiki ini adalah default sejak setidaknya 14,04 dan diimplementasikan dalam berbagai proyek. Periksa berita dan status di halaman proyek libimobiledevice untuk detailnya. Saat ini mereka mengklaim bahwa mereka mendukung iOS 9, yang masih dalam versi beta pada saat penulisan.

2
PierreS

Saya lelah untuk memperbarui bentuk firmware iPhone saya v2 ke v3 menggunakan iTunes yang berjalan di VMware. Prosesnya terhenti di pertengahan aliran dan iPhone dianggap tidak berguna. Saya menghubungkannya ke mesin windows teman dan setelah beberapa upaya pembaruan hidup kembali.

Pembaruan dengan versi utama yang sama bekerja dengan baik di iTunes/VMware.

0
A.B.